package com.os.ems.info.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.os.common.annotation.Excel;
import com.os.common.core.domain.BaseEntity;

/**
 * 日常故障记录对象 daily_fault_record
 * 
 * @author zch
 * @date 2025-06-03
 */
public class DailyFaultRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键，自增ID */
    private Long id;

    /** 日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date date;

    /** 位置 */
    @Excel(name = "位置")
    private String location;

    /** 当日值班长 */
    @Excel(name = "当日值班长")
    private String dailyDutySupervisor;

    /** 天达当日值班长 */
    @Excel(name = "天达当日值班长")
    private String tendaDailyDutySupervisor;

    /** 故障情况 */
    @Excel(name = "故障情况")
    private String faultSituation;

    /** 处置措施 */
    @Excel(name = "处置措施")
    private String handlingMeasures;

    /** 故障类型 */
    @Excel(name = "故障类型")
    private String faultType;

    /** 故障发生时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "故障发生时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date faultOccurrenceTime;

    /** 处置完毕时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "处置完毕时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date handlingCompletionTime;

    /** 处置时长，单位：分钟 */
    @Excel(name = "处置时长，单位：分钟")
    private Long handlingDuration;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDate(Date date) 
    {
        this.date = date;
    }

    public Date getDate() 
    {
        return date;
    }
    public void setLocation(String location) 
    {
        this.location = location;
    }

    public String getLocation() 
    {
        return location;
    }
    public void setDailyDutySupervisor(String dailyDutySupervisor) 
    {
        this.dailyDutySupervisor = dailyDutySupervisor;
    }

    public String getDailyDutySupervisor() 
    {
        return dailyDutySupervisor;
    }
    public void setTendaDailyDutySupervisor(String tendaDailyDutySupervisor) 
    {
        this.tendaDailyDutySupervisor = tendaDailyDutySupervisor;
    }

    public String getTendaDailyDutySupervisor() 
    {
        return tendaDailyDutySupervisor;
    }
    public void setFaultSituation(String faultSituation) 
    {
        this.faultSituation = faultSituation;
    }

    public String getFaultSituation() 
    {
        return faultSituation;
    }
    public void setHandlingMeasures(String handlingMeasures) 
    {
        this.handlingMeasures = handlingMeasures;
    }

    public String getHandlingMeasures() 
    {
        return handlingMeasures;
    }
    public void setFaultType(String faultType) 
    {
        this.faultType = faultType;
    }

    public String getFaultType() 
    {
        return faultType;
    }
    public void setFaultOccurrenceTime(Date faultOccurrenceTime) 
    {
        this.faultOccurrenceTime = faultOccurrenceTime;
    }

    public Date getFaultOccurrenceTime() 
    {
        return faultOccurrenceTime;
    }
    public void setHandlingCompletionTime(Date handlingCompletionTime) 
    {
        this.handlingCompletionTime = handlingCompletionTime;
    }

    public Date getHandlingCompletionTime() 
    {
        return handlingCompletionTime;
    }
    public void setHandlingDuration(Long handlingDuration) 
    {
        this.handlingDuration = handlingDuration;
    }

    public Long getHandlingDuration() 
    {
        return handlingDuration;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("date", getDate())
            .append("location", getLocation())
            .append("dailyDutySupervisor", getDailyDutySupervisor())
            .append("tendaDailyDutySupervisor", getTendaDailyDutySupervisor())
            .append("faultSituation", getFaultSituation())
            .append("handlingMeasures", getHandlingMeasures())
            .append("faultType", getFaultType())
            .append("faultOccurrenceTime", getFaultOccurrenceTime())
            .append("handlingCompletionTime", getHandlingCompletionTime())
            .append("handlingDuration", getHandlingDuration())
            .toString();
    }
}
