package com.os.ems.info.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.os.ems.info.mapper.DailyFaultRecordMapper;
import com.os.ems.info.domain.DailyFaultRecord;
import com.os.ems.info.service.IDailyFaultRecordService;

/**
 * 日常故障记录Service业务层处理
 * 
 * @author zch
 * @date 2025-06-03
 */
@Service
public class DailyFaultRecordServiceImpl implements IDailyFaultRecordService 
{
    @Autowired
    private DailyFaultRecordMapper dailyFaultRecordMapper;

    /**
     * 查询日常故障记录
     * 
     * @param id 日常故障记录主键
     * @return 日常故障记录
     */
    @Override
    public DailyFaultRecord selectDailyFaultRecordById(Long id)
    {
        return dailyFaultRecordMapper.selectDailyFaultRecordById(id);
    }

    /**
     * 查询日常故障记录列表
     * 
     * @param dailyFaultRecord 日常故障记录
     * @return 日常故障记录
     */
    @Override
    public List<DailyFaultRecord> selectDailyFaultRecordList(DailyFaultRecord dailyFaultRecord)
    {
        return dailyFaultRecordMapper.selectDailyFaultRecordList(dailyFaultRecord);
    }

    /**
     * 新增日常故障记录
     * 
     * @param dailyFaultRecord 日常故障记录
     * @return 结果
     */
    @Override
    public int insertDailyFaultRecord(DailyFaultRecord dailyFaultRecord)
    {
        return dailyFaultRecordMapper.insertDailyFaultRecord(dailyFaultRecord);
    }

    /**
     * 修改日常故障记录
     * 
     * @param dailyFaultRecord 日常故障记录
     * @return 结果
     */
    @Override
    public int updateDailyFaultRecord(DailyFaultRecord dailyFaultRecord)
    {
        return dailyFaultRecordMapper.updateDailyFaultRecord(dailyFaultRecord);
    }

    /**
     * 批量删除日常故障记录
     * 
     * @param ids 需要删除的日常故障记录主键
     * @return 结果
     */
    @Override
    public int deleteDailyFaultRecordByIds(Long[] ids)
    {
        return dailyFaultRecordMapper.deleteDailyFaultRecordByIds(ids);
    }

    /**
     * 删除日常故障记录信息
     * 
     * @param id 日常故障记录主键
     * @return 结果
     */
    @Override
    public int deleteDailyFaultRecordById(Long id)
    {
        return dailyFaultRecordMapper.deleteDailyFaultRecordById(id);
    }
}
