package com.os.ems.info.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.os.ems.info.mapper.SparePartsUsageRecordMapper;
import com.os.ems.info.domain.SparePartsUsageRecord;
import com.os.ems.info.service.ISparePartsUsageRecordService;

/**
 * 动力能源部行输科备件领用更换记录Service业务层处理
 * 
 * @author zch
 * @date 2025-06-03
 */
@Service
public class SparePartsUsageRecordServiceImpl implements ISparePartsUsageRecordService 
{
    @Autowired
    private SparePartsUsageRecordMapper sparePartsUsageRecordMapper;

    /**
     * 查询动力能源部行输科备件领用更换记录
     * 
     * @param id 动力能源部行输科备件领用更换记录主键
     * @return 动力能源部行输科备件领用更换记录
     */
    @Override
    public SparePartsUsageRecord selectSparePartsUsageRecordById(Long id)
    {
        return sparePartsUsageRecordMapper.selectSparePartsUsageRecordById(id);
    }

    /**
     * 查询动力能源部行输科备件领用更换记录列表
     * 
     * @param sparePartsUsageRecord 动力能源部行输科备件领用更换记录
     * @return 动力能源部行输科备件领用更换记录
     */
    @Override
    public List<SparePartsUsageRecord> selectSparePartsUsageRecordList(SparePartsUsageRecord sparePartsUsageRecord)
    {
        return sparePartsUsageRecordMapper.selectSparePartsUsageRecordList(sparePartsUsageRecord);
    }

    /**
     * 新增动力能源部行输科备件领用更换记录
     * 
     * @param sparePartsUsageRecord 动力能源部行输科备件领用更换记录
     * @return 结果
     */
    @Override
    public int insertSparePartsUsageRecord(SparePartsUsageRecord sparePartsUsageRecord)
    {
        return sparePartsUsageRecordMapper.insertSparePartsUsageRecord(sparePartsUsageRecord);
    }

    /**
     * 修改动力能源部行输科备件领用更换记录
     * 
     * @param sparePartsUsageRecord 动力能源部行输科备件领用更换记录
     * @return 结果
     */
    @Override
    public int updateSparePartsUsageRecord(SparePartsUsageRecord sparePartsUsageRecord)
    {
        return sparePartsUsageRecordMapper.updateSparePartsUsageRecord(sparePartsUsageRecord);
    }

    /**
     * 批量删除动力能源部行输科备件领用更换记录
     * 
     * @param ids 需要删除的动力能源部行输科备件领用更换记录主键
     * @return 结果
     */
    @Override
    public int deleteSparePartsUsageRecordByIds(Long[] ids)
    {
        return sparePartsUsageRecordMapper.deleteSparePartsUsageRecordByIds(ids);
    }

    /**
     * 删除动力能源部行输科备件领用更换记录信息
     * 
     * @param id 动力能源部行输科备件领用更换记录主键
     * @return 结果
     */
    @Override
    public int deleteSparePartsUsageRecordById(Long id)
    {
        return sparePartsUsageRecordMapper.deleteSparePartsUsageRecordById(id);
    }
}
