package com.os.ems.info.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.os.ems.info.mapper.UpsBatteryLifecycleMapper;
import com.os.ems.info.domain.UpsBatteryLifecycle;
import com.os.ems.info.service.IUpsBatteryLifecycleService;

/**
 * 行李系统UPS电池生命周期Service业务层处理
 * 
 * @author zch
 * @date 2025-06-03
 */
@Service
public class UpsBatteryLifecycleServiceImpl implements IUpsBatteryLifecycleService 
{
    @Autowired
    private UpsBatteryLifecycleMapper upsBatteryLifecycleMapper;

    /**
     * 查询行李系统UPS电池生命周期
     * 
     * @param id 行李系统UPS电池生命周期主键
     * @return 行李系统UPS电池生命周期
     */
    @Override
    public UpsBatteryLifecycle selectUpsBatteryLifecycleById(Long id)
    {
        return upsBatteryLifecycleMapper.selectUpsBatteryLifecycleById(id);
    }

    /**
     * 查询行李系统UPS电池生命周期列表
     * 
     * @param upsBatteryLifecycle 行李系统UPS电池生命周期
     * @return 行李系统UPS电池生命周期
     */
    @Override
    public List<UpsBatteryLifecycle> selectUpsBatteryLifecycleList(UpsBatteryLifecycle upsBatteryLifecycle)
    {
        return upsBatteryLifecycleMapper.selectUpsBatteryLifecycleList(upsBatteryLifecycle);
    }

    /**
     * 新增行李系统UPS电池生命周期
     * 
     * @param upsBatteryLifecycle 行李系统UPS电池生命周期
     * @return 结果
     */
    @Override
    public int insertUpsBatteryLifecycle(UpsBatteryLifecycle upsBatteryLifecycle)
    {
        return upsBatteryLifecycleMapper.insertUpsBatteryLifecycle(upsBatteryLifecycle);
    }

    /**
     * 修改行李系统UPS电池生命周期
     * 
     * @param upsBatteryLifecycle 行李系统UPS电池生命周期
     * @return 结果
     */
    @Override
    public int updateUpsBatteryLifecycle(UpsBatteryLifecycle upsBatteryLifecycle)
    {
        return upsBatteryLifecycleMapper.updateUpsBatteryLifecycle(upsBatteryLifecycle);
    }

    /**
     * 批量删除行李系统UPS电池生命周期
     * 
     * @param ids 需要删除的行李系统UPS电池生命周期主键
     * @return 结果
     */
    @Override
    public int deleteUpsBatteryLifecycleByIds(Long[] ids)
    {
        return upsBatteryLifecycleMapper.deleteUpsBatteryLifecycleByIds(ids);
    }

    /**
     * 删除行李系统UPS电池生命周期信息
     * 
     * @param id 行李系统UPS电池生命周期主键
     * @return 结果
     */
    @Override
    public int deleteUpsBatteryLifecycleById(Long id)
    {
        return upsBatteryLifecycleMapper.deleteUpsBatteryLifecycleById(id);
    }
}
